Skip to main content
GET
Core - List notifiers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

Optional. Number of notifiers to return. Defaults to 25 and must be between 1 and 200.

starting_after
string

Cursor for forward pagination. Set to the _id of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Set to the _id of the first item from the previous page.

project_id
string

Restrict results to one project. Must be a project the caller is authorized for.

Response

200 - application/json

OK

object
string
required

Object discriminator for list responses; always list.

data
(Email notifier · object | Slack webhook notifier · object | Generic webhook notifier · object)[]
required

Page of notifiers.

Notifier resource. The destination field present on the resource depends on type and is captured in oneOf.

has_more
boolean
required

Whether more notifiers are available in the selected pagination direction.